Các khoản thanh toán
GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| processor | Tùy chọn Chuỗi | Giá trị cho phép: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | Tùy chọn Chuỗi | Giá trị cho phép: paid, pending, cancelled, refunded |
| type | Tùy chọn Chuỗi | Giá trị cho phép: one_time, recurring |
| frequency | Tùy chọn Chuỗi | Giá trị cho phép: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | Tùy chọn Chuỗi | Giá trị cho phép: datetime |
| datetime_start | Tùy chọn Chuỗi | Lọc kết quả bắt đầu từ ngày giờ này. Định dạng Y-m-d H:i:s. |
| datetime_end | Tùy chọn Chuỗi | Lọc kết quả đến ngày giờ này. Định dạng Y-m-d H:i:s. |
| order_by | Tùy chọn Chuỗi | Trường nào để sắp xếp kết quả. Các giá trị cho phép là: id, datetime, total_amount. |
| order_type | Tùy chọn Chuỗi | Thứ tự của các kết quả. Các giá trị cho phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần. |
| page | Tùy chọn Integer | Số trang mà bạn muốn nhận kết quả. Mặc định là 1. |
| results_per_page | Tùy chọn Integer | Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị cho phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-16 15:13:38"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tistos.com/api/payments?page=1",
"last": "https://tistos.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/payments?page=1"
}
}
GET https://tistos.com/api/payments/{id}
curl --request GET \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-16 15:13:38"
}
}